
using System;
using System.Collections.Generic;
using UnityEngine;
using XRTool.Util;

[CreateAssetMenu(menuName = "WindowConfig")]
public class WindowConfig : ScriptableObject
{
    public windowType initShowWindow;
    public Canvas canvas;
    public List<UnityEngine.Object> initComponent;
    public List<windowItemGameObject> windowItemGameObjectList;

    [Serializable]
    public class windowItemGameObject
    {
        public GameObject window;
        public windowType type;
        public List<windowItemGameObject> windowItemGameObjectList;
    }

    public enum windowType
    {
        Login = 100001, // ¼
        Project = 100002, // Ŀ
        XunJian = 200001, // Ѳ
        ProjectMain = 200002, // ҳ
        RTC = 200003, // ԶЭ
        YinDao = 200004, // 
        PeiXun = 200005, // 
        Error = 900001, // 
        Tip = 800001, // 
        Tip2 = 800002, // 
        Top = 700001, // 
    }
}