
using System;
using System.Collections.Generic;
using UnityEngine;
using XRTool.Util;
using static WindowConfig;

[CreateAssetMenu(menuName = "WindowItemConfig")]
public class WindowItemConfig : ScriptableObject
{
    public List<windowItemGameObject> list;
    [Serializable]
    public class windowItemGameObject
    {
        public List<item> PrefabList;
        public windowType type;
    }

    [Serializable]
    public class item
    {
        public string name;
        public GameObject obj;
    }
}